GPDASM(1)

NAME
gpdasm - GNU PIC disassembler

SYNOPSIS
gpdasm [options] file

WARNING
The information in this man page is an extract from the full documentation of gputils and is limited to the meaning of the options. For complete and current documentation, refer to "gputils.ps" located in the gputils docs directory.

DESCRIPTION
gpdasm is an disassembler for Microchip (TM) PIC (TM) micro-controllers. gpdasm is part of gputils. Check the gputils(1) manpage for details on other GNU PIC utilities.

OPTIONS

-c, --mnemonics
    Decode the special mnemonics.

-h, --help
    Show this usage message and exit.

-i, --hex-info
    Report extra information about the input hex file. This information includes file size and hex format.

-j, --mov-fsrn
    In the MOVIW or MOVWI instructions show as base the FSRn register instead of the INDFn. [INDFn]

-k FILE, --label-list FILE
    A file which lists the names and addresses of the labels in the disassembled program code. (With the -n, -o and -s options.)

-l, --list-chips
    List the supported processors.

-m, --dump
    Display the contents of instruction memory.

-n, --show-names
    For some case of SFR, shows the name of instead of the address. In addition shows the labels also.

-o, --show-config
    Show the CONFIG and IDLOCS - or __idlocs - directives.

-p PROC, --processor PROC
    Select the processor.

-s, --short
    Output the short format. This format can be reassembled by gpasm. (See also the -k, -n and -o options.)

-t, --use-tab
    Uses tabulator character in the written text.

-v, --version
    Show the version information and exit.

-y, --extended
    Enable 18xx extended mode.

--strict
    Disassemble only opcodes generated by gpasm in case of instructions with several opcodes.

--strict-options
    If this is set, then an option may not be parameter of an another option. For example: -p --dump

SEE ALSO
gputils(1)

AUTHOR
Craig Franklin <craigfranklin@users.sourceforge.net>

Molnar Karoly <molnarkaroly@users.sourceforge.net>

COPYRIGHT
Copyright (C) 2002, 2003, 2004, 2005 Craig Franklin

Copyright (C) 2014 Molnar Karoly

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.